Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
native_thread_data_struct Struct Reference

`#include <thread_pthread.h>`

## Data Fields
union {
struct list_node ubf
struct list_node gvl
} | node
struct {
rb_nativethread_cond_t intr
rb_nativethread_cond_t gvlq
} | cond
HANDLE | interrupt_event
union {
struct list_node ubf
struct list_node gvl
} | node
struct {
rb_nativethread_cond_t intr
rb_nativethread_cond_t gvlq
} | cond

## Detailed Description

Definition at line 23 of file thread_pthread.h.

## Field Documentation

## ◆ cond [1/2]

struct { ... } native_thread_data_struct::cond

## ◆ cond [2/2]

struct { ... } native_thread_data_struct::cond

## ◆ gvl

struct list_node native_thread_data_struct::gvl

Definition at line 26 of file thread_pthread.h.

## ◆ gvlq

rb_nativethread_cond_t native_thread_data_struct::gvlq

Definition at line 39 of file thread_pthread.h.

## ◆ interrupt_event

HANDLE native_thread_data_struct::interrupt_event

Definition at line 28 of file thread_win32.h.

## ◆ intr

rb_nativethread_cond_t native_thread_data_struct::intr

Definition at line 38 of file thread_pthread.h.

## ◆ node [1/2]

union { ... } native_thread_data_struct::node

## ◆ node [2/2]

union { ... } native_thread_data_struct::node

## ◆ ubf

struct list_node native_thread_data_struct::ubf

Definition at line 25 of file thread_pthread.h.

The documentation for this struct was generated from the following files:

- thread_pthread.h
- thread_win32.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h